# The TAG Tour

## Goal

Try to find the longest possible bus/tram ride along the Grenoble public
transit network, TAG, using the *Métromobilité* APIs and a lot of weird
scripts.

## Rules

* Must start and end at the same stop
* Cannot ride on the same line twice
* Stopping at the same stop multiple times is acceptable

## Tools

* [Open data APIs](https://www.mobilites-m.fr/pages/opendata/OpenDataApi.html)
  * [All lines (JSON)](https://data.metromobilite.fr/api/routers/default/index/routes)
  * [All lines (GeoJSON)](https://data.metromobilite.fr/api/lines/json?types=ligne&reseaux=SEM)
  * [All stops (GeoJSON)](https://data.mobilites-m.fr/api/bbox/json?ymax=45.60899367383399&xmin=4.220682761918508&ymin=44.849783731140064&xmax=7.132059715043508&types=arret)
* [`jq`](https://stedolan.github.io/jq/)
* [Graphviz](https://graphviz.org/)
