.[]
| select(
    # Ignore non-TAG lines
    (.id|startswith("SEM"))
    # Ignore special lines for buses acting as tramways
    and [.mode, .type] != ["BUS", "TRAM"]
)
# Replace IDs with the underscored IDs from edges
| .id |= sub(":"; "_")
# Node descriptions with colors
| "\(.id) [label=\"\(.shortName)\", fillcolor=\"#\(.color)\", fontcolor=\"#\(.textColor)\"]"
